# $Id: tush.spec 314 2009-02-24 17:06:22Z ep $

Name:		tush
Version:	311
Release:	1
Summary:	TUnnel SHell is a locked down shell for use with ssh tunnels

Group:		System Environment/Shells
License:	GPLv2+
URL:		https://security.ias.edu
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	gcc
Requires:	glib2 grep setup

%description
The tush package contains a locked down shell for the use of creating an
encrypted tunnel between two machines over SSH.  The intent is that you
can create a user that is authorized to open the tunnel, but not authorized
to actually use the system.  This way, you can use RSA keys for
authentication without worrying about the user gaining system access.  You
still need to be wary of other methods for the user to login, like FTP, which
is not protected by tush.

%prep
%setup -q

%build
CFLAGS="${RPM_OPT_FLAGS}" make

%install
rm -rf $RPM_BUILD_ROOT
install -d ${RPM_BUILD_ROOT}/bin
install -m 4555 tush ${RPM_BUILD_ROOT}/bin
install -d ${RPM_BUILD_ROOT}%{_mandir}/man1
install -c -m 644 doc/tush.1 ${RPM_BUILD_ROOT}%{_mandir}/man1/tush.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%attr(4555,root,root) /bin/tush
%{_mandir}/*/*.1*
%doc doc/oracle_tunnel.txt doc/tunnel.sh

%post
if [ ! -f /etc/shells ]; then
	echo "/bin/tush" >> /etc/shells
else
	grep -q '^/bin/tush$' /etc/shells || echo "/bin/tush" >> /etc/shells
fi

%postun
if [ ! -x /bin/tush ]; then
	grep -v '^/bin/tush$' /etc/shells > /etc/shells.rpm
	cat /etc/shells.rpm > /etc/shells && rm /etc/shells.rpm
fi

%changelog
* Tue Feb 24 2009 Brian Epstein <bepstein@ias.edu> - 311
- Initial version

